unit ResultsUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Menus;

type
  TResultsForm = class(TForm)
    Memo1     : TMemo;
    MainMenu1 : TMainMenu;
    File1     : TMenuItem;
    Save1     : TMenuItem;
    procedure Save1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ResultsForm: TResultsForm;

implementation

uses Main;

{$R *.DFM}

procedure TResultsForm.Save1Click(Sender: TObject);
Var
 FileName : String;
begin
 With MainForm do begin
      SaveDialog.InitialDir:=ExtractFileDir(CurrentFileName);
      SaveDialog.DefaultExt:='txt';
      if SaveDialog.Execute then begin
         FileName:=SaveDialog.FileName;
         Memo1.Lines.SaveToFile(FileName);
      end;
 end;
end;

end.
